## xwrited 2

=== Makefile ===
#
# Copyright (C) 2011 Guido Berhoerster <guido+xwrited@berhoerster.name>
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

PACKAGE =	xwrited
APP_NAME =	org.guido-berhoerster.code.xwrited
VERSION =	2
DISTNAME :=	$(PACKAGE)-$(VERSION)

# gcc, clang, icc
MAKEDEPEND.c =	$(CC) -MM $(CFLAGS) $(CPPFLAGS)
# Sun/Solaris Studio
#MAKEDEPEND.c =	$(CC) -xM1 $(CFLAGS) $(CPPFLAGS)
# X makedepend
#MAKEDEPEND.c =	makedepend -f- -Y -- $(CFLAGS) $(CPPFLAGS) --
INSTALL :=	install
INSTALL.exec :=	$(INSTALL) -D -m 0755
INSTALL.data :=	$(INSTALL) -D -m 0644
PAX :=		pax
GZIP :=		gzip
SED :=		sed
PASTE :=	paste
MSGFMT :=	msgfmt
INTLTOOL_UPDATE := intltool-update
INTLTOOL_MERGE := intltool-merge
XSLTPROC :=	xsltproc
DOCBOOK5_MANPAGES_STYLESHEET =	http://docbook.sourceforge.net/release/xsl-ns/current/manpages/docbook.xsl

define generate-manpage-rule =
%.$(1): %.$(1).xml
	$$(XSLTPROC) \
	    --xinclude \
	    --stringparam package $$(PACKAGE) \
	    --stringparam version $$(VERSION)\
	    data/docbook-update-source-data.xsl $$< | \
	    $$(XSLTPROC) \
	    --xinclude \
	    $$(DOCBOOK5_MANPAGES_FLAGS) \
	    --output $$@ \
	    $$(DOCBOOK5_MANPAGES_STYLESHEET) \
	    -
endef

DESTDIR ?=
prefix ?=	/usr/local
bindir ?=	$(prefix)/bin
datadir ?=	$(prefix)/share
mandir ?=	$(datadir)/man
localedir ?=	$(datadir)/locale
sysconfdir ?=	/etc
xdgautostartdir ?= $(sysconfdir)/xdg/autostart

OS_NAME :=	$(shell uname -s)
OS_RELEASE :=	$(shell uname -r)

is_in = $(if $(filter $2, $1),true,false)

PKGCONFIG_LIBS :=	dbus-1 glib-2.0 libnotify
EXTRA_LIBS :=

ifeq ($(OS_NAME),Linux)
    OBJS_UTMP :=	xwrited-utmp-utempter.o
    EXTRA_LIBS +=	-lutempter
else ifeq ($(OS_NAME),FreeBSD)
    OBJS_UTMP :=	xwrited-utmp-utempter.o
    FREEBSD_RELEASE_MAJOR := $(firstword $(subst ., ,$(OS_RELEASE)))
    # FreeBSD < 9.0 needs libutempter
    ifeq ($(call is_in, $(OS_RELEASE_MAJOR), 7 8), true)
	EXTRA_LIBS +=	-lutempter
    else
	EXTRA_LIBS +=	-lulog
    endif
else
    OBJS_UTMP :=	xwrited-utmp-utmpx.o
endif

ifeq ($(shell pkg-config --exists 'glib-2.0 >= 2.25.5' && printf "true"), true)
    CPPFLAGS_EXTRA :=	-DHAVE_GLIB_GDBUS
else
    PKGCONFIG_LIBS +=	dbus-glib-1
endif

OBJS =		main.o xwrited-debug.o xwrited-unique.o $(OBJS_UTMP)
MANPAGES =	data/$(PACKAGE).1
AUTOSTART_FILE = data/$(PACKAGE).desktop
MOFILES :=	$(patsubst %.po,%.mo,$(wildcard po/*.po))
POTFILE =	po/$(PACKAGE).pot
POSRCS :=	$(shell $(SED) -e 's/\#.*//' -e '/^[ \t]*$$/d' \
		-e 's/^\[[^]]*\]//' po/POTFILES.in | $(PASTE) -s -d ' ')
CPPFLAGS := 	$(CPPFLAGS_EXTRA) \
		$(CPPFLAGS_LIBUTEMPTER) \
		$(shell pkg-config --cflags $(PKGCONFIG_LIBS)) \
		-DPACKAGE="\"$(PACKAGE)\"" \
		-DAPP_NAME=\"$(APP_NAME)\" \
		-DVERSION=\"$(VERSION)\" \
		-DLOCALEDIR="\"$(localedir)\"" \
		-DG_LOG_DOMAIN=\"$(PACKAGE)\"
LDLIBS :=	$(EXTRA_LIBS) \
		$(shell pkg-config --libs $(PKGCONFIG_LIBS))
DOCBOOK5_MANPAGES_FLAGS = --stringparam man.authors.section.enabled 0 \
			  --stringparam man.copyright.section.enabled 0

.DEFAULT_TARGET = all

.PHONY: all clean clobber dist install

all: $(PACKAGE) $(MANPAGES) $(MOFILES) $(AUTOSTART_FILE)

$(PACKAGE): $(OBJS)
	$(LINK.o) $^ $(LDLIBS) -o $@

$(POTFILE): po/POTFILES.in $(POSRCS)
	cd po/ && $(INTLTOOL_UPDATE) --pot --gettext-package="$(PACKAGE)"

pot: $(POTFILE)

update-po: $(POTFILE)
	cd po/ && for lang in $(patsubst po/%.mo,%,$(MOFILES)); do \
	    $(INTLTOOL_UPDATE) --dist --gettext-package="$(PACKAGE)" \
	    $${lang}; \
	done

%.o: %.c
	$(MAKEDEPEND.c) $< | $(SED) -f deps.sed >$*.d
	$(COMPILE.c) -o $@ $<

$(foreach section,1 2 3 4 5 6 7 8 9,$(eval $(call generate-manpage-rule,$(section))))

%.desktop: %.desktop.in $(MOFILES)
	$(INTLTOOL_MERGE) --desktop-style --utf8 po $< $@

%.mo: %.po
	$(MSGFMT) -o $@ $<

install:
	$(INSTALL.exec) $(PACKAGE) "$(DESTDIR)$(bindir)/$(PACKAGE)"
	for lang in $(patsubst po/%.mo,%,$(MOFILES)); do \
	    $(INSTALL.data) po/$${lang}.mo \
	        "$(DESTDIR)$(localedir)/$${lang}/LC_MESSAGES/$(PACKAGE).mo"; \
	done
	$(INSTALL.data) $(AUTOSTART_FILE) \
	        "$(DESTDIR)$(xdgautostartdir)/$(notdir $(AUTOSTART_FILE))"
	$(INSTALL.data) data/$(PACKAGE).1 \
	        "$(DESTDIR)$(mandir)/man1/$(PACKAGE).1"

clean:
	rm -f $(PACKAGE) $(OBJS) $(POTFILE) $(MOFILES) $(MANPAGES) $(AUTOSTART_FILE)

clobber: clean
	rm -f $(patsubst %.o,%.d,$(OBJS))

dist: clobber
	$(PAX) -w -x ustar -s ',.*/\..*,,' -s ',./[^/]*\.tar\.gz,,' \
	    -s ',\./,$(DISTNAME)/,' . | $(GZIP) > $(DISTNAME).tar.gz

-include $(patsubst %.o,%.d,$(OBJS))

=== debian/changelog ===
xwrited (2-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:53:24 +0000

xwrited (2-1) unstable; urgency=low

  * Initial release. Closes: #780525

 -- Thomas Koch <thomas@koch.ro>  Tue, 11 Aug 2015 12:12:15 +0200

=== debian/control ===
Source: xwrited
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Koch <thomas@koch.ro>
Build-Depends: debhelper (>= 9),
 docbook-xsl,
 docbook-xsl-ns,
 intltool,
 libdbus-glib-1-dev,
 libglib2.0-dev,
 libnotify-dev,
 libutempter-dev,
 xsltproc,
Standards-Version: 3.9.6
Homepage: https://code.guido-berhoerster.org/projects/xwrited/
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/xwrited.git/
Vcs-Git: git://anonscm.debian.org/collab-maint/xwrited.git

Package: xwrited
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: display write and wall messages as desktop notifications
 The xwrited utility displays write(1) and wall(1) messages as desktop
 notifications. A notification daemon compliant to the freedesktop.org
 Desktop Notification Specification draft needs to be running in order
 to display the notifications.
 .
 This utility is useful e.g. to send (forward) broadcast (wall) messages
 to all users from cronjobs or system daemons.
 .
 The xwrited daemon is automatically started for each new X session
 after the installation of this package.

=== debian/rules ===
#!/usr/bin/make -f

export DOCBOOK5_MANPAGES_STYLESHEET := /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl
export prefix := /usr

%:
	dh $@

override_dh_clean:
	dh_clean
	make clobber

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## xwrited 3

=== Makefile ===
#
# Copyright (C) 2018 Guido Berhoerster <guido+xwrited@berhoerster.name>
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

PACKAGE =	xwrited
APPLICATION_ID = org.guido-berhoerster.code.xwrited
VERSION =	3
DISTNAME :=	$(PACKAGE)-$(VERSION)
BUG_ADDRESS =	guido+xwrited@berhoerster.name

# gcc, clang, icc, Sun/Solaris Studio
CC :=		$(CC) -std=c99
COMPILE.c =	$(CC) $(CFLAGS) $(XCFLAGS) $(CPPFLAGS) $(XCPPFLAGS) $(TARGET_ARCH) -c
# gcc, clang, icc
MAKEDEPEND.c =	$(CC) -MM $(CFLAGS) $(XCFLAGS) $(CPPFLAGS) $(XCPPFLAGS)
# Sun/Solaris Studio
#MAKEDEPEND.c =	$(CC) -xM1 $(CFLAGS) $(XCFLAGS) $(CPPFLAGS) $(XCPPFLAGS)
# X makedepend
#MAKEDEPEND.c =	makedepend -f- -Y -- $(CFLAGS) $(XCFLAGS) $(CPPFLAGS) $(XCPPFLAGS) --
LINK.c =	$(CC) $(CFLAGS) $(XCFLAGS) $(CPPFLAGS) $(XCPPFLAGS) $(LDFLAGS) $(XLDFLAGS) $(TARGET_ARCH)
LINK.o =	$(CC) $(LDFLAGS) $(XLDFLAGS) $(TARGET_ARCH)
CP :=		cp
INSTALL :=	install
INSTALL.exec :=	$(INSTALL) -D -m 0755
INSTALL.data :=	$(INSTALL) -D -m 0644
INSTALL.link :=	$(CP) -f -P
PAX :=		pax
GZIP :=		gzip
SED :=		sed
XSLTPROC :=	xsltproc
DOCBOOK5_MANPAGES_STYLESHEET =	http://docbook.sourceforge.net/release/xsl-ns/current/manpages/docbook.xsl
DOCBOOK5_MANPAGES_FLAGS = --stringparam man.authors.section.enabled 0 \
		--stringparam man.copyright.section.enabled 0
MSGFMT =	msgfmt
MSGMERGE =	msgmerge
XGETTEXT =	xgettext
XGETTEXT_OPTIONS = --copyright-holder "$(AUTHOR)" \
		--package-name '$(PACKAGE)' \
		--package-version '$(VERSION)' \
		--msgid-bugs-address '$(BUG_ADDRESS)' \
		--default-domain '$(PACKAGE)' \
		--from-code UTF-8 \
		--keyword=_ \
		--keyword=N_ \
		--keyword=C_:1c,2 \
		--keyword=NC_:1c,2 \
		--keyword=g_dngettext:2,3 \
		--add-comments

define generate-manpage-rule =
%.$(1): %.$(1).xml
	$$(XSLTPROC) \
	    --xinclude \
	    --stringparam package $$(PACKAGE) \
	    --stringparam version $$(VERSION)\
	    docbook-update-source-data.xsl $$< | \
	    $$(XSLTPROC) \
	    --xinclude \
	    $$(DOCBOOK5_MANPAGES_FLAGS) \
	    --output $$@ \
	    $$(DOCBOOK5_MANPAGES_STYLESHEET) \
	    -
endef

DESTDIR ?=
prefix ?=	/usr/local
bindir ?=	$(prefix)/bin
datadir ?=	$(prefix)/share
mandir ?=	$(datadir)/man
localedir ?=	$(datadir)/locale
sysconfdir ?=	/etc
xdgautostartdir ?= $(sysconfdir)/xdg/autostart

OS_NAME :=	$(shell uname -s)
OS_RELEASE :=	$(shell uname -r)

OBJS =		xwrited.o \
		xwd-application.o
ifneq ($(findstring $(OS_NAME),Linux FreeBSD),)
  OBJS +=	xwd-utmp-utempter.o
else
  OBJS +=	xwd-utmp-utmpx.o
endif

MANPAGES =	$(PACKAGE).1

AUTOSTART_FILE = $(APPLICATION_ID).desktop

LINGUAS :=	$(shell sed 's/\#.*//' po/LINGUAS)
MOFILES :=	$(patsubst %,po/%.mo,$(LINGUAS))
POTFILES_IN :=	$(shell sed 's/\#.*//' po/POTFILES.in)
POTFILE =	po/$(PACKAGE).pot

.DEFAULT_TARGET = all

.PHONY: all pot update-po clean clobber dist install

all: $(PACKAGE) $(AUTOSTART_FILE) $(MOFILES) $(MANPAGES)

$(PACKAGE): XCFLAGS =	$(shell pkg-config --cflags gobject-2.0 gio-2.0 \
			glib-2.0) \
			-DPACKAGE=\"$(PACKAGE)\" \
			-DAPPLICATION_ID=\"$(APPLICATION_ID)\" \
			-DVERSION=\"$(VERSION)\" \
			-DG_LOG_DOMAIN=\"$(PACKAGE)\" \
			-DPACKAGE_LOCALE_DIR="\"$(localedir)\"" \
			-DGETTEXT_PACKAGE=\"$(PACKAGE)\"
$(PACKAGE): LDLIBS =	$(shell pkg-config --libs gobject-2.0 gio-2.0 \
			glib-2.0)

ifeq ($(OS_NAME),Linux)
  $(PACKAGE): XCPPFLAGS += -D_XOPEN_SOURCE=600
  $(PACKAGE): LDLIBS +=	-lutempter
else ifeq ($(OS_NAME),FreeBSD)
  $(PACKAGE): LDLIBS +=	-lulog
else ifeq ($(OS_NAME),SunOS)
  $(PACKAGE): XCPPFLAGS += -D_XOPEN_SOURCE=600 -I/usr/xpg4/include
  $(PACKAGE): XLDFLAGS += -L/usr/xpg4/lib -R/usr/xpg4/lib
endif

$(PACKAGE): $(OBJS)
	$(LINK.o) $^ $(LDLIBS) -o $@

$(POTFILE): po/POTFILES.in $(POTFILES_IN)
	$(XGETTEXT) $(XGETTEXT_OPTIONS) --files-from $< --output $@

pot: $(POTFILE)

update-po: $(POTFILE)
	for pofile in $(patsubst %.mo,%.po,$(MOFILES)); do \
	    $(MSGMERGE) --update --backup off $$pofile $<; \
	done

%.mo: %.po
	$(MSGFMT) --output $@ $<

%.desktop: %.desktop.in
	$(MSGFMT) --desktop --template $< -d po --output $@

$(foreach section,1 2 3 4 5 6 7 8 9,$(eval $(call generate-manpage-rule,$(section))))

%.mo: %.po
	$(MSGFMT) -o $@ $<

%.o: %.c
	$(MAKEDEPEND.c) $< | $(SED) -f deps.sed >$*.d
	$(COMPILE.c) -o $@ $<

install: all
	$(INSTALL.exec) $(PACKAGE) "$(DESTDIR)$(bindir)/$(PACKAGE)"
	$(INSTALL.data) $(AUTOSTART_FILE) \
	    $(DESTDIR)$(xdgautostartdir)/$(AUTOSTART_FILE)
	for lang in $(LINGUAS); do \
	   $(INSTALL.data) po/$${lang}.mo \
	        $(DESTDIR)$(localedir)/$${lang}/LC_MESSAGES/$(PACKAGE).mo; \
	done
	for manpage in $(MANPAGES); do \
	    $(INSTALL.data) $${manpage} \
	        "$(DESTDIR)$(mandir)/man$${manpage##*.}/$${manpage##*/}"; \
	done

clean:
	rm -f $(PACKAGE) $(OBJS) $(AUTOSTART_FILE) $(POTFILE) $(MOFILES) \
	    $(MANPAGES)

clobber: clean
	rm -f $(patsubst %.o,%.d,$(OBJS))

dist: clobber
	$(PAX) -w -x ustar -s ',.*/\..*,,' -s ',./[^/]*\.tar\.gz,,' \
	    -s ',^\.$$,,' -s ',\./,$(DISTNAME)/,' . | \
	    $(GZIP) > $(DISTNAME).tar.gz

-include local.mk

-include $(patsubst %.o,%.d,$(OBJS))

=== debian/changelog ===
xwrited (3-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:40:25 +1100

xwrited (3-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:19:31 +0000

xwrited (3-2) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
       - debian/compat: removed.
       - debian/control: changed from 'debhelper' to 'debhelper-compat' in
         Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/watch: update watch file version '3' to '4'.

 -- Aquila Macedo Costa <aquilamacedo@riseup.net>  Tue, 20 Jun 2023 10:58:17 -0300

xwrited (3-1) unstable; urgency=medium

  * new upstream version 3
  * fix Vcs-* tags in d/control (alioth->salsa)
  * update debian-policy 3.9.6->4.1.5, no changes
  * update debhelper version 9->11
  * rm patch correct_command_name_in_manpage, fixed upstream
  * rm patch respect_CPPFLAGS_from_environment

 -- Thomas Koch <thomas@koch.ro>  Sun, 29 Jul 2018 19:55:51 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Koch <thomas@koch.ro>
-Build-Depends: debhelper (>= 9),
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13),
  docbook-xsl,
  docbook-xsl-ns,
  intltool,
@@ -12,10 +12,10 @@
  libnotify-dev,
  libutempter-dev,
  xsltproc,
-Standards-Version: 3.9.6
+Standards-Version: 4.6.2
 Homepage: https://code.guido-berhoerster.org/projects/xwrited/
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/xwrited.git/
-Vcs-Git: git://anonscm.debian.org/collab-maint/xwrited.git
+Vcs-Browser: https://salsa.debian.org/debian/xwrited
+Vcs-Git: https://salsa.debian.org/debian/xwrited.git
 
 Package: xwrited
 Architecture: any

=== debian/watch ===
### watch control file for uscan
### See uscan(1) for how to set this file properly
###  * uupdate(1) for upgrade a source code package
###  * gbp-import-orig(1) with --uscan for upgrade GIT repo
version=4
https://code.guido-berhoerster.org/projects/xwrited/ ./downloads/xwrited-(.*)\.(?:tar.gz|tar.bz2|tar.xz)
